package mcsimul;

import java.awt.*;
import java.awt.event.*;

/**
 * This file is part of MCSimul.
 * MCSimul is a Java application/applet, which does 2-D atomic Monte-Carlo simulation,
 * together with a graphical user interface
 * Copyright 2008, Michael Leitner
 *
 * As stated below, you are free to do whatever you want with this program, as long as
 * it conforms to the licence, but I would be glad to hear if someone found it useful,
 * so please tell me if so under michael.leitner@univie.ac.at
 *
 * MCSimul is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * MCSimul is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

public class WindowClosingAdapter extends WindowAdapter {
    private boolean exitSystem;

    public WindowClosingAdapter(boolean exitSystem)
    {
        this.exitSystem = exitSystem;
    }
    
    @Override
    public void windowClosing(WindowEvent event)
    {
        event.getWindow().setVisible(false);
        event.getWindow().dispose();
        if (exitSystem)
        {
            System.exit(0);
        }
    }
}
